patrickvonplaten commited on
Commit
ffcb663
1 Parent(s): 621efbd

Fix deprecation warning by changing `CLIPFeatureExtractor` to `CLIPImageProcessor`.

Browse files

Hey darkstorm2150 👋,

Your model repository seems to contain logic to load a feature extractor that is deprecated, which you should notice by seeing the warning:

```
transformers/models/clip/feature_extraction_clip.py:28: FutureWarning: The class CLIPFeatureExtractor is deprecated and will be removed in version 5 of Transformers. Please use CLIPImageProcessor instead. warnings.warn(
```

when running `pipe = DiffusionPipeline.from_pretrained(darkstorm2150/Protogen_x3.4_Official_Release)`.This PR makes sure that the warning does not show anymore by replacing `CLIPFeatureExtractor` with `CLIPImageProcessor`. This will certainly not change or break your checkpoint, but onlymake sure that everything is up to date.

Best, the 🧨 Diffusers team.

Files changed (1) hide show
  1. model_index.json +1 -1
model_index.json CHANGED
@@ -3,7 +3,7 @@
3
  "_diffusers_version": "0.12.0.dev0",
4
  "feature_extractor": [
5
  "transformers",
6
- "CLIPFeatureExtractor"
7
  ],
8
  "requires_safety_checker": true,
9
  "safety_checker": [
3
  "_diffusers_version": "0.12.0.dev0",
4
  "feature_extractor": [
5
  "transformers",
6
+ "CLIPImageProcessor"
7
  ],
8
  "requires_safety_checker": true,
9
  "safety_checker": [